
/* Stylesheet content from assets/css3.0/maps.css in folder common */

body {
    padding-top: constant(safe-area-inset-top); /* iOS 11.0 */
    padding-top: env(safe-area-inset-top); /* iOS 11.2 */
}

.navbar {
    /*margin-bottom: constant(safe-area-inset-bottom); /* iOS 11.0 */
    /*margin-bottom: env(safe-area-inset-bottom); /* iOS 11.2 */
    position: absolute;
}

body.inverted {
    filter: invert(100%) !important;
    -webkit-filter: invert(100%) !important;
    -ms-filter: invert(100% ) !important;
    -webkit-transition: all 1s cubic-bezier(0.34, 0.85, 0.49, 0.67) !important;
    transition: all 1s cubic-bezier(0.34, 0.85, 0.49, 0.67) !important;
}

.language-btn.active {
    background-color: #fff;
    color: #4a4a4a !important;
}

.pac-item {
    padding: 13px 30px;
    border-bottom: 1px solid rgb(155, 155, 155);
    list-style: none;
    padding-left: 10px;
}

.pac-item-query {
    line-height: 30px;
    font-size: 14px;
    font-weight: 500;
    text-transform: none;
    letter-spacing: 0;
    color: rgb(74, 74, 74);
}

.request-BottomMap {
    width: 100%;
    height: auto;
    position: fixed;
    padding: 0 8px;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
    transform: translate3d(0, calc(100% - 60px), 0px)
    scale3d(1, 1, 1)
    skew(0deg, 0deg)
    skewX(0deg) skewY(0deg)
    translateZ(0px)
    rotateX(0deg)
    rotateY(0deg)
    rotateZ(0deg);
    bottom: 0;
}
.request-BottomShowen.request-BottomMap {
    transform: translate3d(0, 5px, 0px);
    -webkit-transition: all 0.5s; /* Safari */
    transition: all 0.5s;
}

.helpContainer {
    position: absolute;
    bottom: 70px;
    width: 95%;
    margin: auto;
    padding: 0 60px;
}
#createRequestMap{
    height: inherit !important;
}
.service-infoHeader {
    padding: 15px 0 11px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    position: relative;
    z-index: 3;
    height: 60px;
}

.uppercase {
    text-transform: uppercase;
}
#mapRequest{
    height: 100vh;
}

.text-holder {
    display: inline-block;
}

.welcome-spot {
    padding-top: initial;
}


.icon-info img{
    width: 30px;
    position: relative;
    padding-left: 10px;
}


[lang=ar] .icon-info img{

    padding-left: 0;
    padding-right: 10px;
}


[lang=ar] .navbar-icon {
    -moz-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
    filter: FlipH;
    -ms-filter: "FlipH";
}



button:focus {
    outline: initial !important;
    outline: initial !important;
}

.center-center {
    position: absolute;
    top: 50%;
    left: 50%;
    height: 30%;
    margin: -50% 0 0 -50%;
    width: 100%;
    text-align: center;
}

.popup-delete {
    top: 0;
    left: 0;
    opacity: 0;
    z-index: 100;
    width: 100vw;
    height: 100%;
    position: fixed;
    overflow: hidden;
    visibility: hidden;
   padding: 0;
    background: rgba(0, 0, 0, .4);
    -webkit-transition: opacity .27s ease-in-out;
    transition: opacity .27s ease-in-out;
    max-height: 0;

}

.delete-open .popup-delete {
    max-height: 1000;
    opacity: 1;
    visibility: visible;
    padding: 34px 7px 74px;
}
.modal-terms {
    top: 0;
    left: 0;
    opacity: 0;
    z-index: 100;
    width: 100vw;
    height: 100%;
    position: fixed;
    overflow: hidden;
    visibility: hidden;
    padding: 0;
    background: rgba(0, 0, 0, .4);
    -webkit-transition: opacity .27s ease-in-out;
    transition: opacity .27s ease-in-out;
    max-height: 0;
    margin-top: 50px;
}

.terms-open .modal-terms{
    max-height: 1000px;
    opacity: 1;
    visibility: visible;
    padding: 34px 7px 74px;
}
.terms-container{
    height: 100%;
    direction: ltr;
    text-align: justify;
}

.termsHeader {
    height: 53px;
    background-color: #57b9fb;
    color: #fff;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    position: absolute;
    width: calc(100% - 13px);
    margin-top: 0px;
    z-index: 101;
    border-top-right-radius: 6px;
    border-top-left-radius: 6px;
}

.x-icon {
    background: url(../img3.0/cancel.svg);
    background-repeat: no-repeat;
    background-size: 20px;
    background-position: 50% 50%;
    left: auto;
    right: 5px;
    position: absolute;
    margin-top: auto;
}
.termsHeader h3{
    text-align: center;
    padding-top: 15px;
}
.termContent{
    margin-top: 50px;
}
.number-field{
    direction: ltr;
}
select.details-input.country-number.select {
    position: relative;
    top: 0;
    background-repeat: no-repeat;
    background-position-y: 50% !important;
    background-position-x: calc(100% + 5px) !important;
}
.number-field .formGroup:after{
    top:35px;
}
.content--margin {
    padding: 0 10px;
}
.waste-list .list-link.noIcon:before{
    display: none;
}
.topbar-services-wrap {
    padding: 20px 30px 10px 50px !important;
}
[lang=ar] .topbar-services-wrap {
    padding: 40px 50px 10px 30px !important;
    text-align: right;
}
a.header-icon.fixedArrow{
    -webkit-transition: transform 0.5s; /* Safari */
    transition: transform 0.5s cubic-bezier(0, 0, 0.34, 1);
}
a.header-icon.fixedArrow.fixedArrowIsscrolled {
    top: 20px;
    -webkit-transition: transform 0.2s; /* Safari */
    transition: transform 0.5s cubic-bezier(0, 0, 0.34, 1);
}
.topbar-info{
    width: 30vh;
}
[lang=ar] .topbar-info {
    padding-left: 0;
    padding-right: 13px;
}

@supports (-webkit-overflow-scrolling: touch) {
    /* CSS specific to iOS devices */
    #inputHolder {
        margin: 130px 20px 0 !important;
    }

    .myrequest-filter.filterInput {
        /*margin-top: 110px !important;*/
    }

    #my-requests {
        margin-top: 165px !important;
    }

    .tabs-wrapper.myrequestTabs {

        top: 75px;
    }

    #rectButton img {
        max-width: 100% !important;
        max-height: 100%;
    }

    #my-requests {
        /*margin-top: 135px !important;*/
    }

    .tabs-wrapper.myrequestTabs {
        /*top: 102px;*/
    }
}



@supports not (-webkit-overflow-scrolling: touch) {
    /* CSS specific to iOS devices */
    #inputHolder {
        z-index: 100;
    }

    .tabs-wrapper.myrequestTabs {
        top: 50px;
    }

    .otp {
        position: initial !important;
    }
    .margin-location {
        margin-top: -8px;
    }

}

.service-micro-image-textArea {
    width: 50px;
    height: 50px;
    line-height: 50px;
    position: relative;
    margin-left: calc(100% - 50px);
    margin-top: -35px;
    padding-top: 10px;
    margin-bottom: -10px;
}

.first-record{
    width: 35px;
    height: 35px;
    margin: -5px 5px 0 0 !important;
}
.last-record{
    width: 35px;
    height: 35px;
    margin: -5px 0 0 5px !important;
}

[lang=ar] .first-record{
    width: 35px !important;
    height: 35px !important;
    margin: 0 0 0 5px !important;
}
[lang=ar] .last-record{
    width: 35px !important;
    height: 35px !important;
    margin: 0 5px 0 0 !important;
}
.last-record button, .first-record button {
    display: flex;
    align-items: center;
    justify-content: center;
}
[lang=ar] .last-record button,[lang=ar] .first-record button {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: -5px 10px 0 0 !important;
}
[lang=ar] .service-micro-image-textArea {
    width: 50px;
    height: 50px;
    line-height: 50px;
    position: relative;
    margin-left: inherit;
    margin-top: -35px;
    margin-right: calc(100% - 50px);
    padding-top: 10px;
    margin-bottom: -10px;
}

#db-meter {
    position: relative;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    width: 50%;
    padding: 5px;
    padding-bottom: 0;
    transform: rotate(180deg);
}

.left {
    margin-right: 5px;
    display: inherit;
}

#left-meter,
#right-meter {
    float: left;
}

.unit {
    display: block;
    border-radius: 4px;
    margin-bottom: 5px;
    background-color: #003400;
    width: 9px;
    height: 20px;
    margin-right: 3px;
}

.unit.peak {
    background-color: #660000;
}



/*.happinessPopup{*/
    /*position: relative;*/
    /*z-index: 100;*/
    /*height: 100vh;*/
/*}*/
/*.happinessOverlay{*/
    /*width: 100%;*/
    /*height: 100vh;*/
    /*overflow: hidden;*/
    /*position: absolute;*/
    /*background: rgba(0,0,0,0.2);*/
    /*left: 0;*/
    /*top: 0;*/
    /*z-index: 100;*/
/*}*/
/*.hapinessMeteriframe{*/
    /*width: 100%;*/
    /*height: 230px;*/
/*}*/
.clearBtn{
     width: 100%;
 }

.clearBtn a{
    max-width: 85px;
    height: 28px;
    padding: 2px;
    margin-left: auto;
    margin-right: 0;
}

[lang=ar]  .clearBtn a{
    max-width: 85px;
    height: 28px;
    padding: 2px;
    margin-left: 0;
    margin-right: auto;
}

.hideMe{
    display: none;
}

.wl_ios7 .search-container .searchMap{
    padding-top: 25px;
}

.wl_ios7 .search-container .arrowBack {
    margin-top: 30px !important;
}

.wl_ios7 .closeSearch {
    margin-top: 15px;
    margin-left: 8px !important;
    margin-right: 8px !important;

}

.submit-map {
    height: 29px;
    font-size: 14px;
    line-height: 5px;
    width: max-content;
    margin-right: 0px;
}

[lang=ar] .submit-map {
    margin-left: 0px;
    margin-right: auto;
}

[lang=ar] .submit-map.my-location {
    margin-left: auto!important;
}





